/**
 * int forward(int fd1, int fd2)
 *
 * Die Funktion liest sowohl von fd1 wie auch von fd2 Daten in
 * einen internen Puffer und schreibt dieses Daten auf dem jeweilig
 * anderen Filedescriptor wieder raus. Die Funktion kehrt erst dann
 * zurueck, wenn einer der beiden Filedescriptoren geschlossen wird
 * oder ein Fehler auftritt.
 *
 * Im Fehlerfall liefer die Funktion -1 als Rckgabewert und
 * die Variable errno enthlt die entsprechende Fehlernummer.
 *
 */

#ifndef _FORWARD_H_
#define _FORWARD_H_
int forward(int, int);
#endif
